
Recherche avancée
Autres articles (93)
-
Qu’est ce qu’un éditorial
21 juin 2013, parEcrivez votre de point de vue dans un article. Celui-ci sera rangé dans une rubrique prévue à cet effet.
Un éditorial est un article de type texte uniquement. Il a pour objectif de ranger les points de vue dans une rubrique dédiée. Un seul éditorial est placé à la une en page d’accueil. Pour consulter les précédents, consultez la rubrique dédiée.
Vous pouvez personnaliser le formulaire de création d’un éditorial.
Formulaire de création d’un éditorial Dans le cas d’un document de type éditorial, les (...) -
Contribute to translation
13 avril 2011You can help us to improve the language used in the software interface to make MediaSPIP more accessible and user-friendly. You can also translate the interface into any language that allows it to spread to new linguistic communities.
To do this, we use the translation interface of SPIP where the all the language modules of MediaSPIP are available. Just subscribe to the mailing list and request further informantion on translation.
MediaSPIP is currently available in French and English (...) -
Des sites réalisés avec MediaSPIP
2 mai 2011, parCette page présente quelques-uns des sites fonctionnant sous MediaSPIP.
Vous pouvez bien entendu ajouter le votre grâce au formulaire en bas de page.
Sur d’autres sites (6858)
-
Revision 5c24469c2c : Use foreach_transformed_block with tokenize_b Updates the tokenizer to use the
29 avril 2013, par John KoleszarChanged Paths :
Modify /vp9/encoder/vp9_tokenize.c
Use foreach_transformed_block with tokenize_bUpdates the tokenizer to use the common block walker used by the
detokenizer, to support non-4:2:0 and more than 3 planes.Change-Id : If1854117a9c7c1427349209fa2b3051ce6459dcb
-
Build libaacplus 2.0.2 for ios
23 mai 2013, par JavanDoes anyone build libaacplus2.0.2(Download here) successed for iOS ? I want ffmpeg support that.It cast me one day to build that, but failed.
This is libaacplus2.0.2/autogen.sh, It was edited, just let it create configure file :
#!/bin/sh
# Run this to set up the build system: configure, makefiles, etc.
# (based on the version in enlightenment's cvs)
package="libaacplus"
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
cd "$srcdir"
DIE=0
(autoheader --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $package."
echo "Download the appropriate package for your distribution,"
echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
}
(autoreconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoreconf installed to compile $package."
echo "Download the appropriate package for your distribution,"
echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
}
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to compile $package."
echo "Download the appropriate package for your system,"
echo "or get the source from one of the GNU ftp sites"
echo "listed in http://www.gnu.org/order/ftp.html"
DIE=1
}
if test "$DIE" -eq 1; then
exit 1
fi
if test -z "$*"; then
echo "I am going to run ./configure with no arguments - if you wish "
echo "to pass any to it, please specify them on the $0 command line."
fi
echo "Generating configuration files for $package, please wait...."
echo " aclocal $ACLOCAL_FLAGS"
aclocal $ACLOCAL_FLAGS
echo " autoheader"
autoheader
echo " libtoolize --automake"
libtoolize --automake
echo " automake --add-missing $AUTOMAKE_FLAGS"
automake --add-missing $AUTOMAKE_FLAGS
echo " autoreconf"
autoreconf
#$srcdir/configure "$@" && echoAfter run the autogen.sh script :
./autogen.sh
the configure file has been created in the same path, them i re-compressed the libaacplus folder named with "libaacplus-2.0.2.tar.gz". Bellow is build script(build-libaacplus.sh) wrote by me :
#!/bin/bash
SRC_PACK='libaacplus-2.0.2.tar.gz'
SRC_ROOT=`pwd`/libaacplus-2.0.2
BUILD_PATH=`pwd`/build
DEVELOPER_ROOT='/Applications/Xcode.app/Contents/Developer'
IOS_VERSION='6.1'
#CC="$DEVELOPER_ROOT/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang"
CPU_CORE_COUNT=`sysctl -n machdep.cpu.core_count` #Check cpu core number
MAKE_JOBS=$CPU_CORE_COUNT+1
function build_with_args() {
local arch=$1
local platform=$2
local host=$3
local cc=$4
local build=$5
local cpp=$6
local ios_dev_root="$DEVELOPER_ROOT/Platforms/iPhone$platform.platform/Developer"
local sys_root="$ios_dev_root/SDKs/iPhone$platform$IOS_VERSION.sdk"
if [ -d $SRC_ROOT ]; then
echo "Cleaning $SRC_ROOT ..."
rm -rf $SRC_ROOT
echo "Clean $SRC_ROOT completed!"
fi
echo "Decompressing $SRC_PACK ..."
tar -xzf $SRC_PACK
echo "Decompress $SRC_PACK completed!"
cd $SRC_ROOT
export PATH="$ios_dev_root/usr/bin:$DEVELOPER_ROOT/usr/bin:$PATH"
export CC=$cc
export CFLAGS="-I$sys_root/usr/include"
export LDFLAGS="--sysroot=$sys_root -L$sys_root/usr/lib/ -L$sys_root/usr/lib/system"
export CPPFLAGS=$CFLAGS
export CPP=$cpp
export TARGET=$build
./configure \
--prefix="$BUILD_PATH/$arch" \
--host=$host \
--build=$build \
--with-sysroot=$sys_root \
--enable-shared \
--enable-static
echo "Building for $arch ..."
# make -j$MAKE_JOBS
make install
make clean
echo "Build for $arch completed!"
cd -
}
function build_armv7() {
local platform='OS'
local bin_path="$DEVELOPER_ROOT/Platforms/iPhone$platform.platform/Developer/usr/bin"
build_with_args \
'armv7' \
"$platform" \
'arm' \
"$bin_path/arm-apple-darwin10-llvm-gcc-4.2" \
'arm-apple-darwin10' \
"$bin_path/arm-apple-darwin10-llvm-g++-4.2"
}
function build_armv7s() {
local platform='OS'
local bin_path="$DEVELOPER_ROOT/Platforms/iPhone$platform.platform/Developer/usr/bin"
build_with_args \
'armv7s' \
"$platform" \
'arm' \
"$bin_path/arm-apple-darwin10-llvm-gcc-4.2" \
'arm-apple-darwin10' \
"$bin_path/arm-apple-darwin10-llvm-g++-4.2"
}
function build_i386() {
local platform='Simulator'
local bin_path="$DEVELOPER_ROOT/Platforms/iPhone$platform.platform/Developer/usr/bin"
build_with_args \
'i386' \
"$platform" \
'i386' \
"$bin_path/i686-apple-darwin11-llvm-gcc-4.2" \
'i686-apple-darwin11' \
"$bin_path/i686-apple-darwin11-llvm-g++-4.2"
}
if [ -d $BUILD_PATH ]; then
echo "Cleaning $BUILD_PATH..."
rm -rf $BUILD_PATH
fi
build_armv7
#build_armv7s
#build_i386
echo '>>>>>>>>>>>>>>>>>All completed!<<<<<<<<<<<<<<'It failed again and again. Run script->failed->see config.log->modify->Run script ...
I don't know what should I can do. Someone can help me ? Thanks a lot !
The last config.log content is bellow :This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by libaacplus configure 2.0.2, which was
generated by GNU Autoconf 2.65. Invocation command line was
$ ./configure --prefix=/Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/build/armv7 --host=arm --build=arm-apple-darwin10 --with-sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk --enable-shared --enable-static
## --------- ##
## Platform. ##
## --------- ##
hostname = JieMacBookPro.local
uname -m = x86_64
uname -r = 11.4.2
uname -s = Darwin
uname -v = Darwin Kernel Version 11.4.2: Thu Aug 23 16:25:48 PDT 2012; root:xnu-1699.32.7~1/RELEASE_X86_64
/usr/bin/uname -p = i386
/bin/uname -X = unknown
/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = Mach kernel version:
Darwin Kernel Version 11.4.2: Thu Aug 23 16:25:48 PDT 2012; root:xnu-1699.32.7~1/RELEASE_X86_64
Kernel configured for up to 4 processors.
2 processors are physically available.
4 processors are logically available.
Processor type: i486 (Intel 80486)
Processors active: 0 1 2 3
Primary memory available: 4.00 gigabytes
Default processor set: 127 tasks, 619 threads, 4 processors
Load average: 0.97, Mach factor: 3.02
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown
PATH: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
PATH: /Applications/Xcode.app/Contents/Developer/usr/bin
PATH: /opt/local/bin
PATH: /opt/local/sbin
PATH: /usr/bin
PATH: /bin
PATH: /usr/sbin
PATH: /sbin
PATH: /usr/local/bin
PATH: /usr/X11/bin
PATH: /Library/StartupItems/MySQLCOM
PATH: /usr/local/mysql/bin
## ----------- ##
## Core tests. ##
## ----------- ##
configure:2378: checking for a BSD-compatible install
configure:2446: result: /usr/bin/install -c
configure:2457: checking whether build environment is sane
configure:2512: result: yes
configure:2571: checking for arm-strip
configure:2601: result: no
configure:2611: checking for strip
configure:2627: found /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/strip
configure:2638: result: strip
configure:2650: WARNING: using cross tools not prefixed with host triplet
configure:2663: checking for a thread-safe mkdir -p
configure:2702: result: ./install-sh -c -d
configure:2715: checking for gawk
configure:2745: result: no
configure:2715: checking for mawk
configure:2745: result: no
configure:2715: checking for nawk
configure:2745: result: no
configure:2715: checking for awk
configure:2731: found /usr/bin/awk
configure:2742: result: awk
configure:2753: checking whether make sets $(MAKE)
configure:2775: result: yes
configure:2868: checking for arm-gcc
configure:2895: result: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2
configure:3164: checking for C compiler version
configure:3173: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 --version >&5
arm-apple-darwin10-llvm-gcc-4.2 (GCC) 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2410.2.00)
Copyright (C) 2007 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:3184: $? = 0
configure:3173: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -v >&5
Using built-in specs.
Target: arm-apple-darwin10
Configured with: /private/var/tmp/llvmgcc42_Embedded/llvmgcc42_Embedded-2410.2~111/src/configure --enable-checking --enable-werror --prefix=/Developer/usr/llvm-gcc-4.2 --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-prefix=llvm- --program-transform-name=/^[cg][^.-]*$/s/$/-4.2/ --with-slibdir=/usr/lib --disable-tls --build=i686-apple-darwin10 --enable-llvm=/private/var/tmp/llvmgcc42_Embedded/llvmgcc42_Embedded-2410.2~111/dst-llvmCore/Developer/usr/local --program-prefix=arm-apple-darwin10- --host=x86_64-apple-darwin10 --target=arm-apple-darwin10 --with-gxx-include-dir=/usr/include/c++/4.2.1 --with-build-sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.Internal.sdk
Thread model: posix
gcc version 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2410.2.00)
configure:3184: $? = 0
configure:3173: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -V >&5
arm-apple-darwin10-llvm-gcc-4.2: '-V' option must have argument
configure:3184: $? = 1
configure:3173: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -qversion >&5
arm-apple-darwin10-llvm-gcc-4.2: no input files
configure:3184: $? = 1
configure:3204: checking whether the C compiler works
configure:3226: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include --sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/ -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/system conftest.c >&5
configure:3230: $? = 0
configure:3279: result: yes
configure:3282: checking for C compiler default output file name
configure:3284: result: a.out
configure:3290: checking for suffix of executables
configure:3297: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -o conftest -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include --sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/ -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/system conftest.c >&5
configure:3301: $? = 0
configure:3323: result:
configure:3345: checking whether we are cross compiling
configure:3383: result: yes
configure:3388: checking for suffix of object files
configure:3410: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c >&5
configure:3414: $? = 0
configure:3435: result: o
configure:3439: checking whether we are using the GNU C compiler
configure:3458: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c >&5
configure:3458: $? = 0
configure:3467: result: yes
configure:3476: checking whether /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 accepts -g
configure:3496: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c -g -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c >&5
configure:3496: $? = 0
configure:3537: result: yes
configure:3554: checking for /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 option to accept ISO C89
configure:3618: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c >&5
configure:3618: $? = 0
configure:3631: result: none needed
configure:3662: checking for style of include used by make
configure:3690: result: GNU
configure:3716: checking dependency style of /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2
configure:3827: result: gcc3
configure:3843: checking whether /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 and cc understand -c and -o together
configure:3874: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c conftest.c -o conftest2.o >&5
configure:3878: $? = 0
configure:3884: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2 -c conftest.c -o conftest2.o >&5
configure:3888: $? = 0
configure:3899: cc -c conftest.c >&5
configure:3903: $? = 0
configure:3911: cc -c conftest.c -o conftest2.o >&5
configure:3915: $? = 0
configure:3921: cc -c conftest.c -o conftest2.o >&5
configure:3925: $? = 0
configure:3943: result: yes
configure:3973: checking how to run the C preprocessor
configure:4043: result: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2
configure:4063: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2 -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c
conftest.c:16: error: 'Syntax' does not name a type
configure:4063: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "libaacplus"
| #define PACKAGE_TARNAME "libaacplus"
| #define PACKAGE_VERSION "2.0.2"
| #define PACKAGE_STRING "libaacplus 2.0.2"
| #define PACKAGE_BUGREPORT "Sergiy Guriev <piratfm@ua.fm>"
| #define PACKAGE_URL ""
| #define PACKAGE "libaacplus"
| #define VERSION "2.0.2"
| /* end confdefs.h. */
| #ifdef __STDC__
| # include
| #else
| # include
| #endif
| Syntax error
configure:4063: /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2 -I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include conftest.c
conftest.c:16: error: 'Syntax' does not name a type
configure:4063: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "libaacplus"
| #define PACKAGE_TARNAME "libaacplus"
| #define PACKAGE_VERSION "2.0.2"
| #define PACKAGE_STRING "libaacplus 2.0.2"
| #define PACKAGE_BUGREPORT "Sergiy Guriev <piratfm@ua.fm>"
| #define PACKAGE_URL ""
| #define PACKAGE "libaacplus"
| #define VERSION "2.0.2"
| /* end confdefs.h. */
| #ifdef __STDC__
| # include
| #else
| # include
| #endif
| Syntax error
configure:4093: error: in `/Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2':
configure:4096: error: C preprocessor "/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2" fails sanity check
See `config.log' for more details.
## ---------------- ##
## Cache variables. ##
## ---------------- ##
ac_cv_c_compiler_gnu=yes
ac_cv_env_CC_set=set
ac_cv_env_CC_value=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value=-I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include
ac_cv_env_CPPFLAGS_set=set
ac_cv_env_CPPFLAGS_value=-I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include
ac_cv_env_CPP_set=set
ac_cv_env_CPP_value=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='--sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/ -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/system'
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=arm-apple-darwin10
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=arm
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_objext=o
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=awk
ac_cv_prog_CC=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2
ac_cv_prog_CPP=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_prog_cc__Applications_Xcode_app_Contents_Developer_Platforms_iPhoneOS_platform_Developer_usr_bin_arm_apple_darwin10_llvm_gcc_4_2_c_o=yes
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_make_make_set=yes
am_cv_CC_dependencies_compiler_type=gcc3
## ----------------- ##
## Output variables. ##
## ----------------- ##
AACPLUS_CFLAGS=''
AACPLUS_CPPFLAGS=''
AACPLUS_LIBS=''
AACPLUS_REQUIRES=''
ACLOCAL='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run aclocal-1.12'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='$${TAR-tar}'
AR=''
AS=''
ASH=''
AUTOCONF='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run autoconf'
AUTOHEADER='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run autoheader'
AUTOMAKE='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run automake-1.12'
AWK='awk'
BASH='/bin/sh'
CC='/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-gcc-4.2'
CCDEPMODE='depmode=gcc3'
CFLAGS='-I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include'
CPP='/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin/arm-apple-darwin10-llvm-g++-4.2'
CPPFLAGS='-I/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/include'
CYGPATH_W='echo'
DEBUG=''
DEFS=''
DEPDIR='.deps'
DLLTOOL=''
DOWNLOADER_PROG=''
DOWNLOADER_PROG_CMD=''
DSYMUTIL=''
DUMPBIN=''
ECHO_C='\c'
ECHO_N=''
ECHO_T=''
EGREP=''
EXEEXT=''
FFTW3_CFLAGS=''
FFTW3_INCFLAGS=''
FFTW3_LDFLAGS=''
FFTW3_LIB=''
FGREP=''
GREP=''
HAVE_PKGCONFIG_FALSE=''
HAVE_PKGCONFIG_TRUE=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LD=''
LDFLAGS='--sysroot=/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/ -L/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS6.1.sdk/usr/lib/system'
LIBOBJS=''
LIBS=''
LIBTOOL=''
LIBTOOL_DEPS=''
LIPO=''
LN_S=''
LTLIBOBJS=''
MAKEINFO='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/missing --run makeinfo'
MANIFEST_TOOL=''
MKDIR_P='./install-sh -c -d'
NM=''
NMEDIT=''
OBJDUMP=''
OBJEXT='o'
OPT=''
OTOOL64=''
OTOOL=''
PACKAGE='libaacplus'
PACKAGE_BUGREPORT='Sergiy Guriev <piratfm@ua.fm>'
PACKAGE_NAME='libaacplus'
PACKAGE_STRING='libaacplus 2.0.2'
PACKAGE_TARNAME='libaacplus'
PACKAGE_URL=''
PACKAGE_VERSION='2.0.2'
PARAMETER_EXPANSION_STRING_REPLACE_CAPABLE_SHELL=''
PATCH=''
PATH_SEPARATOR=':'
PKGCONFIG=''
PROFILE=''
RANLIB=''
SED=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP='strip'
UNZIP=''
VERSION='2.0.2'
ac_ct_AR=''
ac_ct_CC=''
ac_ct_DUMPBIN=''
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__nodep='_no'
am__quote=''
am__tar='$${TAR-tar} chof - "$$tardir"'
am__untar='$${TAR-tar} xf -'
bindir='${exec_prefix}/bin'
build='arm-apple-darwin10'
build_alias='arm-apple-darwin10'
build_cpu=''
build_os=''
build_vendor=''
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
host='arm'
host_alias='arm'
host_cpu=''
host_os=''
host_vendor=''
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/libaacplus-2.0.2/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='$(top_builddir)/./install-sh -c -d'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/Users/md313/Documents/Developer/OpenSource/ffmpef4ios-build-scripts/external-libs/build/armv7'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''
## ----------- ##
## confdefs.h. ##
## ----------- ##
/* confdefs.h */
#define PACKAGE_NAME "libaacplus"
#define PACKAGE_TARNAME "libaacplus"
#define PACKAGE_VERSION "2.0.2"
#define PACKAGE_STRING "libaacplus 2.0.2"
#define PACKAGE_BUGREPORT "Sergiy Guriev <piratfm@ua.fm>"
#define PACKAGE_URL ""
#define PACKAGE "libaacplus"
#define VERSION "2.0.2"
configure: exit 1 -
What is wrong with the following ffmpeg command
14 août 2013, par BradWhat is wrong with the following ffmpeg command. Originally this had -sameq instead of the -qscale:a 0
Command :
ffmpeg -loglevel debug -threads 4 -i sample-in.mpg -ss 00:00:01 -t 00:00:05 -f image2 -y sample-frames/frame%d.png -acodec copy -qscale:a 0 -y sample.mp3
Output
ffmpeg version 1.2.1 Copyright (c) 2000-2013 the FFmpeg developers
built on Jul 9 2013 04:36:42 with Apple clang version 4.1 (tags/Apple/clang-421.11.66) (based on LLVM 3.1svn)
configuration: --prefix=/usr/local/Cellar/ffmpeg/1.2.1 --enable-shared --enable-pthreads --enable-gpl --enable-version3 --enable-nonfree --enable-hardcoded-tables --enable-avresample --enable-vda --cc=cc --host-cflags= --host-ldflags= --enable-libx264 --enable-libfaac --enable-libmp3lame --enable-libxvid --enable-ffplay
libavutil 52. 18.100 / 52. 18.100
libavcodec 54. 92.100 / 54. 92.100
libavformat 54. 63.104 / 54. 63.104
libavdevice 54. 3.103 / 54. 3.103
libavfilter 3. 42.103 / 3. 42.103
libswscale 2. 2.100 / 2. 2.100
libswresample 0. 17.102 / 0. 17.102
libpostproc 52. 2.100 / 52. 2.100
Splitting the commandline.
Reading option '-loglevel' ... matched as option 'loglevel' (set libav* logging level) with argument 'debug'.
Reading option '-threads' ... matched as AVOption 'threads' with argument '4'.
Reading option '-i' ... matched as input file with argument 'sample-in.mpg'.
Reading option '-ss' ... matched as option 'ss' (set the start time offset) with argument '00:00:01'.
Reading option '-t' ... matched as option 't' (record or transcode "duration" seconds of audio/video) with argument '00:00:05'.
Reading option '-f' ... matched as option 'f' (force format) with argument 'image2'.
Reading option '-y' ... matched as option 'y' (overwrite output files) with argument '1'.
Reading option 'sample-frames/frame%d.png' ... matched as output file.
Reading option '-acodec' ... matched as option 'acodec' (force audio codec ('copy' to copy stream)) with argument 'copy'.
Reading option '-qscale:a' ... matched as option 'qscale' (use fixed quality scale (VBR)) with argument '0'.
Reading option '-y' ... matched as option 'y' (overwrite output files) with argument '1'.
Reading option 'sample.mp3' ... matched as output file.
Finished splitting the commandline.
Parsing a group of options: global .
Applying option loglevel (set libav* logging level) with argument debug.
Applying option y (overwrite output files) with argument 1.
Last message repeated 1 times
Successfully parsed a group of options.
Parsing a group of options: input file sample-in.mpg.
Successfully parsed a group of options.
Opening an input file: sample-in.mpg.
[mpeg @ 0x7ffb4a80f200] Format mpeg probed with size=16384 and score=52
[mpeg @ 0x7ffb4a80f200] File position before avformat_find_stream_info() is 0
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2500
[mpeg @ 0x7ffb4a80f200] Probe with size=2002, packets=1 detected mpegvideo with score=25
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2499
[mpeg @ 0x7ffb4a80f200] Probe with size=4043, packets=2 detected mpegvideo with score=25
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2498
[mpeg @ 0x7ffb4a80f200] Probe with size=6084, packets=3 detected mpegvideo with score=25
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2497
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2496
[mpeg @ 0x7ffb4a80f200] Probe with size=10166, packets=5 detected mpegvideo with score=25
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2495
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2494
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2493
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2492
[mpeg @ 0x7ffb4a80f200] Probe with size=18330, packets=9 detected mpegvideo with score=25
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2491
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2490
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2489
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2488
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2487
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2486
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2485
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2484
[mpeg @ 0x7ffb4a80f200] Probe with size=34658, packets=17 detected mpegvideo with score=25
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2483
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2482
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2481
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2480
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2479
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2478
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2477
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2476
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2475
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2474
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2473
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2472
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2471
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2470
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2469
[mpeg @ 0x7ffb4a80f200] probing stream 0 pp:2468
[mpeg @ 0x7ffb4a80f200] Probe with size=67266, packets=33 detected mpegvideo with score=51
[mpeg @ 0x7ffb4a80f200] probed stream 0
[mpeg @ 0x7ffb4a80f200] first_dts 86997 not matching first dts 93003 in the queue
Last message repeated 3 times
[mpeg @ 0x7ffb4a80f200] first_dts 86997 not matching first dts 108018 in the queue
Last message repeated 3 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 111600 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 135360 in the queue
Last message repeated 8 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 156960 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 180720 in the queue
Last message repeated 8 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 202320 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 226080 in the queue
Last message repeated 8 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 247680 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 271440 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 295200 in the queue
Last message repeated 8 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 316800 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 340560 in the queue
Last message repeated 8 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 362160 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 385920 in the queue
Last message repeated 8 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 407520 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 431280 in the queue
Last message repeated 8 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 452880 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 476640 in the queue
Last message repeated 8 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 498240 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] first_dts 90000 not matching first dts 522000 in the queue
Last message repeated 9 times
[mpeg @ 0x7ffb4a80f200] max_analyze_duration 5000000 reached at 5005000 microseconds
[mpeg @ 0x7ffb4a80f200] File position after avformat_find_stream_info() is 0
Input #0, mpeg, from 'sample-in.mpg':
Duration: 00:00:05.97, start: 1.000000, bitrate: 6827 kb/s
Stream #0:0[0x1e0], 152, 1/90000: Video: mpeg1video, yuv420p, 704x480 [SAR 200:219 DAR 880:657], 1001/30000, 104857 kb/s, 29.97 fps, 29.97 tbr, 90k tbn, 29.97 tbc
Stream #0:1[0x1c0], 211, 1/90000: Audio: mp2, 48000 Hz, stereo, s16p, 64 kb/s
Successfully opened the file.
Parsing a group of options: output file sample-frames/frame%d.png.
Applying option ss (set the start time offset) with argument 00:00:01.
Applying option t (record or transcode "duration" seconds of audio/video) with argument 00:00:05.
Applying option f (force format) with argument image2.
Successfully parsed a group of options.
Opening an output file: sample-frames/frame%d.png.
Successfully opened the file.
Parsing a group of options: output file sample.mp3.
Applying option acodec (force audio codec ('copy' to copy stream)) with argument copy.
Applying option qscale:a (use fixed quality scale (VBR)) with argument 0.
Successfully parsed a group of options.
Opening an output file: sample.mp3.
Successfully opened the file.
[buffer @ 0x7ffb4a411e40] Setting entry with key 'video_size' to value '704x480'
[buffer @ 0x7ffb4a411e40] Setting entry with key 'pix_fmt' to value '0'
[buffer @ 0x7ffb4a411e40] Setting entry with key 'time_base' to value '1/90000'
[buffer @ 0x7ffb4a411e40] Setting entry with key 'pixel_aspect' to value '200/219'
[buffer @ 0x7ffb4a411e40] Setting entry with key 'sws_param' to value 'flags=2'
[buffer @ 0x7ffb4a411e40] Setting entry with key 'frame_rate' to value '30000/1001'
[graph 0 input from stream 0:0 @ 0x7ffb4a411de0] w:704 h:480 pixfmt:yuv420p tb:1/90000 fr:30000/1001 sar:200/219 sws_param:flags=2
[scale @ 0x7ffb4a414800] Setting 'w' to value '0'
[scale @ 0x7ffb4a414800] Setting 'h' to value '0'
[scale @ 0x7ffb4a414800] Setting 'flags' to value '0x4'
[auto-inserted scaler 0 @ 0x7ffb4a414740] w:0 h:0 flags:'0x4' interl:0
[format @ 0x7ffb4a42aa20] auto-inserting filter 'auto-inserted scaler 0' between the filter 'Parsed_null_0' and the filter 'format'
[auto-inserted scaler 0 @ 0x7ffb4a414740] picking rgb24 out of 7 ref:yuv420p alpha:0
[auto-inserted scaler 0 @ 0x7ffb4a414740] w:704 h:480 fmt:yuv420p sar:200/219 -> w:704 h:480 fmt:rgb24 sar:200/219 flags:0x4
[png @ 0x7ffb4a831000] detected 4 logical cores
[mp3 @ 0x7ffb4a831600] Invalid audio stream. Exactly one MP3 audio stream is required.
Output #0, image2, to 'sample-frames/frame%d.png':
Metadata:
encoder : Lavf54.63.104
Stream #0:0, 0, 1/90000: Video: png, rgb24, 704x480 [SAR 200:219 DAR 880:657], 1001/30000, q=2-31, 200 kb/s, 90k tbn, 29.97 tbc
Output #1, mp3, to 'sample.mp3':
Metadata:
encoder : Lavf54.63.104
Stream #1:0, 0, 1/90000: Audio: mp2, 48000 Hz, stereo, 64 kb/s
Stream mapping:
Stream #0:0 -> #0:0 (mpeg1video -> png)
Stream #0:1 -> #1:0 (copy)
Could not write header for output file #1 (incorrect codec parameters ?): Invalid argument
Statistics: 4542608 bytes read, 2 seeksI found the code above from : http://kwlug.org/node/854
I did a few edits removing the -sameq and replacing it with -qscale:a 0 which probably is wrong.